import { ElementType, PropsWithChildren } from 'react';
import { b as Variant, T as TypographyProps, a as TypographyClasses } from './types-429c23c9.js';

declare function Typography<V extends Variant = Variant, C extends ElementType = ElementType>(props: PropsWithChildren<TypographyProps<V, C>>): JSX.Element;
declare namespace Typography {
    var displayName: string;
}

declare const typographyClasses: TypographyClasses;

export { Typography as T, typographyClasses as t };
